package com.ys.bdtp.adm.mvvm.model.db.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import com.ys.bdtp.adm.mvvm.model.db.entity.task.CadEntity

/**
 * cad 表访问接口
 *
 * @author bai
 */
@Dao
interface CadDao {

    @Query("select * from cad")
    fun getCads(): List<CadEntity>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insCad(vararg cad: CadEntity)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insCads(cads: List<CadEntity>)

}